Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars0
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars0	(revision 1114)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars0	(revision 1115)
@@ -9,4 +9,5 @@
 #datadir = /d5/aslmd/datafile
 #datadir=/users/forget/WWW/datagcm/datafile
+datadir = /home/spiga/datadir/
 
 #Diurnal cycle ?  if diurnal=False, diurnal averaged solar heating
@@ -20,4 +21,5 @@
 
 #Save statistics in file "stats.nc" ?
+callstats =.true.
 callstats =.false.
 
@@ -33,5 +35,4 @@
 #  =30 Mars Year 30 
 iaervar = 24
-iaervar = 26
 # Dust opacity at 610 Pa (when constant, i.e. for the iaervar=1 case)
 tauvis=0.1
@@ -73,4 +74,5 @@
 callsoil = .true.
 # call Lott's gravity wave/subgrid topography scheme ?
+calllott  = .true.
 calllott  = .false.
 # Impose polar cap surface albedos as observed by TES?
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars12_radact_scav
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars12_radact_scav	(revision 1114)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars12_radact_scav	(revision 1115)
@@ -9,4 +9,5 @@
 #datadir = /d5/aslmd/datafile
 #datadir=/users/forget/WWW/datagcm/datafile
+datadir = /home/spiga/datadir/
 
 #Diurnal cycle ?  if diurnal=False, diurnal averaged solar heating
@@ -20,4 +21,5 @@
 
 #Save statistics in file "stats.nc" ?
+callstats =.true.
 callstats =.false.
 
@@ -33,5 +35,4 @@
 #  =30 Mars Year 30 
 iaervar = 24
-iaervar = 26
 # Dust opacity at 610 Pa (when constant, i.e. for the iaervar=1 case)
 tauvis=0.1
@@ -73,4 +74,5 @@
 callsoil = .true.
 # call Lott's gravity wave/subgrid topography scheme ?
+calllott  = .true.
 calllott  = .false.
 # Impose polar cap surface albedos as observed by TES?
@@ -111,8 +113,12 @@
 # WATERICE: Radiatively active transported atmospheric water ice ?
 activice   = .true.
+#activice   = .false.
 # WATER: Compute water cycle
 water = .true.
 # WATER: Microphysical scheme for water-ice clouds?
 microphys = .true.
+# WATER: microphysics sub-timestep
+# imicro = 2 5 10
+imicro = 1
 # WATER: parameter contact
 mteta = 0.95
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars3
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars3	(revision 1114)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars3	(revision 1115)
@@ -2,5 +2,5 @@
 ##~~~~~~~~~~~~~~~
 #Run with or without tracer transport ?
-tracer=.false.
+tracer=.true.
 
 #Directory where external input files are:
@@ -9,4 +9,5 @@
 #datadir = /d5/aslmd/datafile
 #datadir=/users/forget/WWW/datagcm/datafile
+datadir = /home/spiga/datadir/
 
 #Diurnal cycle ?  if diurnal=False, diurnal averaged solar heating
@@ -20,4 +21,5 @@
 
 #Save statistics in file "stats.nc" ?
+callstats =.true.
 callstats =.false.
 
@@ -33,5 +35,4 @@
 #  =30 Mars Year 30 
 iaervar = 24
-iaervar = 26
 # Dust opacity at 610 Pa (when constant, i.e. for the iaervar=1 case)
 tauvis=0.1
@@ -73,4 +74,5 @@
 callsoil = .true.
 # call Lott's gravity wave/subgrid topography scheme ?
+calllott  = .true.
 calllott  = .false.
 # Impose polar cap surface albedos as observed by TES?
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.input
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.input	(revision 1114)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.input	(revision 1115)
@@ -30,18 +30,21 @@
  !! OPTIONAL
  !!
- num_metgrid_levels = 26     !! (p1) number of vertical levels in GCM inputs (+1)
+ num_metgrid_levels = 30     !! (p1) number of vertical levels in GCM inputs (+1)
  /
 
  &physics
- mars = 12 !0 !11  
+ mars = 12  
  num_soil_layers = 18 !!! NOUVELLE PHYSIQUE
  /
 
  &dynamics
- tiso = 100.
- diff_6th_opt = 0  !!also works without
- !khdif = 1.,    !! horizontal diffusion constant (m^2/s)
- !kvdif = 1.,    !! vertical diffusion constant (m^2/s)
- !km_opt = 1,    !! eddy coefficient option
+ !!
+ !! OPTIONAL
+ !!
+ !tiso = 100.       !! -- temperature for isotherm level (mesosphere) in init
+ !diff_6th_opt = 0  !! -- swith off correction filter for WRF integrations. normally works when switched on (default).
+ !khdif = 10.,      !! ** a more straightforward diffusion for tests. horizontal diffusion constant (m^2/s)
+ !kvdif = 10.,      !! ** a more straightforward diffusion for tests. vertical diffusion constant (m^2/s)
+ !km_opt = 1,       !! ** a more straightforward diffusion for tests. eddy coefficient option
  /
 
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.wps
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.wps	(revision 1114)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.wps	(revision 1115)
@@ -2,8 +2,6 @@
  wrf_core = 'ARW',                    !!   [do not modify: choice of dynamical core]
  max_dom = 1 !! (r)(n)(p2) Total number of domains
- !start_date = '2024-05-01_01:00:00','2024-05-01_01:00:00','2024-05-01_01:00:00'   !! YYYY-MM-DD_HH:mm:ss start date
- !end_date   = '2024-05-09_01:00:00','2024-05-01_01:00:00','2024-05-01_01:00:00'   !! YYYY-MM-DD_HH:mm:ss end date
- start_date = '2024-01-01_06:00:00','2024-05-01_01:00:00','2024-05-01_01:00:00'   !! YYYY-MM-DD_HH:mm:ss start date
- end_date   = '2024-01-03_06:00:00','2024-05-01_01:00:00','2024-05-01_01:00:00'   !! YYYY-MM-DD_HH:mm:ss end date
+ start_date = '2024-05-01_06:00:00' !! YYYY-MM-DD_HH:mm:ss start date
+ end_date   = '2024-05-03_06:00:00' !! YYYY-MM-DD_HH:mm:ss end date
  interval_seconds = 3700 !! (p2) Frequency of large-scale fields update (s)
  io_form_geogrid = 2,                 !!   [do not modify: choice of NETCDF outputs]	