Index: /trunk/LMDZ.GENERIC/deftank/saturn1d/callphys.def
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/saturn1d/callphys.def	(revision 1133)
+++ /trunk/LMDZ.GENERIC/deftank/saturn1d/callphys.def	(revision 1134)
@@ -1,170 +1,1 @@
-## Orbit / general options
-## ~~~~~~~~~~~~~~~~~~~~~~~
-# Run with or without tracer transport ?
-tracer    = .false.
-# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
-diurnal   = .false. #.true.
-# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
-season    = .true. 
-# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
-tlocked   = .false.
-# Tidal resonance ratio ? ratio T_orbit to T_rotation
-nres      = 1
-# Write some more output on the screen ?
-lwrite    = .false.
-# Save statistics in file "stats.nc" ?
-callstats = .false.
-# Test energy conservation of model physics ?
-enertest  = .true.
-# Check to see if cpp, mugaz values used match gas mixture defined in gases.def (recommended) ?
-check_cpp_match=.false. 
-
-## Directory where external input files are
-## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-#datadir     = /san/home/spiga/DATAGENERIC
-#datadir      = /san/home/spiga/COMMON/DATAGENERIC/
-#datadir     = /home/spiga/datagcm
-datadir = /d5/aslmd/datagcm/
-
-## Radiative transfer options
-## ~~~~~~~~~~~~~~~~~~~~~~~~~~
-# call radiative transfer?
-callrad    = .true.
-# the rad. transfer is computed every "iradia" physical timestep
-iradia     = 160
-# call multilayer correlated-k radiative transfer ?
-corrk      = .true.
-# Include continuum absorption in radiative transfer (note CO2 is treated separately) ?
-continuum  = .true.
-# folder in which correlated-k data is stored ?
-corrkdir   = CH4_C2H6_C2H2_Profils
-corrkdir   = CH4_C2H6_C2H2_T_70-400K
-# call visible gaseous absorption in radiative transfer ?
-callgasvis = .true.
-# Include Rayleigh scattering in the visible ?
-rayleigh   = .true.
-# Uniform absorption coefficient in radiative transfer?
-graybody     = .false.
-# Characteristic planetary equilibrium (black body) temperature
-# This is used only in the aerosol radiative transfer setup. (see aerave.F)
-tplanet    = 215.
-# Output spectral OLR in 1D/3D?
-specOLR    = .false.
-# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
-meanOLR    = .false.
-# Variable gas species: Radiatively active ?
-varactive  = .false.
-# Variable gas species: Fixed vertical distribution ?
-#   (not to be used in time integration mode)
-varfixed   = .false.
-# Variable gas species: Saturation percentage value at ground ?
-satval     = 0.0
-# Force specific heat capacity and molecular mass values
-force_cpp      = .false.
-# Specific heat capacity in J K-1 kg-1 [only used if force_cpp = T]
-cpp            = 14000.
-# Molecular mass in g mol-1 [only used if force_cpp = T]
-mugaz          = 2.14
-
-## Star type
-## ~~~~~~~~~
-startype = 1
-# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-# The choices are:
-#
-#	startype = 1		Sol        (G2V-class main sequence)
-#	startype = 2		Ad Leo     (M-class, synthetic)
-#       startype = 3            GJ644
-#       startype = 4            HD128167
-# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-# Stellar flux at 1 AU. Examples:
-# 1366.0 W m-2		Sol today
-# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
-# 18.462 W m-2		The feeble Gl581
-# 19.960 W m-2		Gl581 with e=0.38 orbital average
-Fat1AU = 1366.0
-
-## Tracer and aerosol options 
-## ~~~~~~~~~~~~~~~~~~~~~~~~~~
-# Gravitational sedimentation of tracers (just H2O ice for now) ?
-sedimentation = .false.
-
-## Other physics options
-## ~~~~~~~~~~~~~~~~~~~~~
-# call turbulent vertical diffusion ?
-calldifv = .true. 
-# use turbdiff instead of vdifc ?
-UseTurbDiff = .true.
-# call convective adjustment ?
-calladj  = .true.
-# call thermal conduction in the soil ?
-callsoil = .false.
-# Internal heat flux (matters only if callsoil=F)
-intheat = 2.0
-# Remove lower boundary (e.g. for gas giant sims)
-nosurf = .true.
-
-#########################################################################
-## extra non-standard definitions for Earth
-#########################################################################
- 
-## Tracer and aerosol options 
-## ~~~~~~~~~~~~~~~~~~~~~~~~~~
-# Radiatively active CO2 aerosol?
-aeroco2       = .false.
-# Fixed CO2 aerosol distribution?
-aerofixco2    = .false.
-# Radiatively active water aerosol?
-aeroh2o       = .false.
-# Fixed water aerosol distribution?
-aerofixh2o    = .false.
-# basic dust opacity
-dusttau       = 0.0
-# Varying H2O cloud fraction?
-CLFvarying    = .false.
-# H2O cloud fraction if fixed?
-CLFfixval     = 0.0
-# fixed radii for cloud particles?
-radfixed=.false.
-# number mixing ratio of CO2 ice particles
-Nmix_co2      = 100000.
-# number mixing ratio of water particles (for rafixed=.false.)
-Nmix_h2o      = 1.e7
-# number mixing ratio of water ice particles (for rafixed=.false.)
-Nmix_h2o_ice  = 5.e5
-# radius of H2O water particles (for rafixed=.true.):
-rad_h2o=10.e-6
-# radius of H2O ice particles (for rafixed=.true.):
-rad_h2o_ice=35.e-6
-# atm mass update due to tracer evaporation/condensation?
-mass_redistrib = .false.
-
-## Water options 
-## ~~~~~~~~~~~~~
-# Model water cycle
-water         = .false.
-# Model water cloud formation
-watercond     = .false.
-# Model water precipitation (including coagulation etc.)
-waterrain     = .false.
-# Use simple precipitation scheme?
-precip_scheme=4
-# multiplicative constant in Boucher 95 precip scheme
-Cboucher=1.
-# Include hydrology ?
-hydrology     = .false.
-# H2O snow (and ice) albedo ?
-albedosnow    = 0.6
-# Maximum sea ice thickness ?
-maxicethick   = 10.
-# Freezing point of seawater (degrees C) ?
-Tsaldiff      = 0.0
-# Evolve surface water sources ?
-sourceevol    = .false.
-
-## CO2 options 
-## ~~~~~~~~~~~
-# call CO2 condensation ?
-co2cond       = .false.
-# Set initial temperature profile to 1 K above CO2 condensation everywhere?
-nearco2cond   = .false.
+link ../../../LMDZ.UNIVERSAL/deftank/PROTO_saturn_tropostrato/callphys.def
Index: /trunk/LMDZ.GENERIC/deftank/saturn1d/gases.def
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/saturn1d/gases.def	(revision 1133)
+++ /trunk/LMDZ.GENERIC/deftank/saturn1d/gases.def	(revision 1134)
@@ -6,6 +6,6 @@
 C2H2
 C2H6
-0.85
-0.1455
+0.86
+0.1355
 0.0045
 1.e-7
@@ -15,3 +15,2 @@
 # and then molar mixing ratios.
 # mixing ratio -1 means the gas is variable.
-