Index: trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_tropostrato/compile
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_tropostrato/compile	(revision 1137)
+++ trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_tropostrato/compile	(revision 1138)
@@ -1,3 +1,3 @@
 #! /bin/bash
 
-/home/spiga/MODELES/LMDZ.GENERIC/makegcm -d 64x48x32 -t 0 newstart
+/san/home/spiga/MODELES/LMDZ.GENERIC/makegcm -d 64x48x64 -t 0 newstart
Index: trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_tropostrato/run.def
===================================================================
--- trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_tropostrato/run.def	(revision 1137)
+++ trunk/LMDZ.UNIVERSAL/deftank/PROTO_saturn_tropostrato/run.def	(revision 1138)
@@ -38,32 +38,35 @@
 ok_strato=n
 
-### Dissipation horizontale
-#dissip_fac_mid=2.
-#dissip_fac_up=2.
-## deltaz et hdelta en km
-#dissip_deltaz=10.
-#dissip_hdelta=5.
-## pupstart en Pa
-#dissip_pupstart=1.e3
-
-#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
-iflag_top_bound=0
-
-########################################
-## LMDZ.COMMON
-##    1: dans les 4 derniers niveaux
-##    2: dans les couches de pression plus faible que 100 fois la pression de la derniere couche
-#iflag_top_bound=1
-## Mode Couche eponge
-##   mode = 0 : pas de sponge
-##   mode = 1 : u et v -> 0
-##   mode = 2 : u et v -> moyenne zonale
-##   mode = 3 : u, v et h -> moyenne zonale
-#mode_top_bound=1
-#######################################
-
-#  Coefficient pour la couche eponge (valeur derniere couche)
-tau_top_bound=1.e-5
-tau_top_bound=5.e-5
+###### Dissipation horizontale
+###dissip_fac_mid=1. # for no var dissip (see inidissip)
+###dissip_fac_up=1. # for no var dissip (see inidissip)
+##### deltaz et hdelta en km
+####dissip_deltaz=10.
+####dissip_hdelta=5.
+##### pupstart en Pa
+####dissip_pupstart=1.e3
+###
+###########################################
+##### LMDZ.COMMON
+##### iflag_top_bound=0 for no sponge
+##### iflag_top_bound=1 for sponge over 4 topmost layers
+##### iflag_top_bound=2 for sponge from top to ~1% of top layer pressure
+###iflag_top_bound=0
+###iflag_top_bound=2
+###iflag_top_bound=1
+##### Mode Couche eponge
+#####   mode = 0 : pas de sponge
+#####   mode = 1 : u et v -> 0
+#####   mode = 2 : u et v -> moyenne zonale
+#####   mode = 3 : u, v et h -> moyenne zonale
+###mode_top_bound=0
+###mode_top_bound=2
+###mode_top_bound=1
+##########################################
+###
+####  Coefficient pour la couche eponge (valeur derniere couche)
+###tau_top_bound=1.e-5
+####tau_top_bound=5.e-5
+####tau_top_bound=1.e-4
 
 ################################################################
@@ -120,4 +123,9 @@
 periodav=1
 
+###
+###ok_guide = y
+###facwind = 5.e7
+#####facwind = 1.e6
+####facwind = 2.e7
 
 #################################
@@ -142,5 +150,5 @@
      nday = 1800
      nday = 250000
-     nday = 65000
+     #nday = 65000
 
 # nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )      
@@ -148,4 +156,8 @@
 # day_step = 50
 day_step = 70
+day_step = 80
+#day_step = 140
+#day_step = 280
+# day_step = 560
 # day_step = 240
 # day_step = 480
@@ -178,11 +190,11 @@
 
 # temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
- tetagdiv=8000. 160000. 8000. 1000. 2500. 4000.
+ tetagdiv=5400. 8000. 160000. 8000. 1000. 2500. 4000.
 
 # temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
- tetagrot=8000. 160000. 8000. 1000. 2500. 4000.
+ tetagrot=7200. 8000. 160000. 8000. 1000. 2500. 4000.
 
 # temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
- tetatemp=8000. 160000. 8000. 1000. 2500. 4000.
+ tetatemp=7200. 8000. 160000. 8000. 1000. 2500. 4000.
 
 # coefficient pour gamdissip                                            
@@ -199,4 +211,5 @@
   iphysiq=7
 #  iphysiq=1
+  iphysiq=8
 
 # choix d'une grille reguliere                                          
@@ -206,4 +219,5 @@
   ecritphy=500
   ecritphy=7000
+  ecritphy=100
 
 # longitude en degres du centre du zoom                                 