Index: trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1140)
+++ trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1145)
@@ -646,17 +646,32 @@
          if(tlevrad(k).lt.tgasmin)then
             print*,'Minimum temperature is outside the radiative'
-            print*,'transfer kmatrix bounds, exiting.'
+            print*,'transfer kmatrix bounds'
             print*,"k=",k," tlevrad(k)=",tlevrad(k)
             print*,"tgasmin=",tgasmin
-            !print*,'WARNING, OVERRIDING FOR TEST'
-            call abort
-	    !tlevrad(k)=tgasmin
+            if (strictboundcorrk) then
+              call abort
+            else
+              print*,'***********************************************'
+              print*,'we allow model to continue with tlevrad=tgasmin' 
+              print*,'  ... we assume we know what you are doing ... '
+              print*,'  ... but do not let this happen too often ... '
+              print*,'***********************************************'
+              tlevrad(k)=tgasmin
+            endif
          elseif(tlevrad(k).gt.tgasmax)then
             print*,'Maximum temperature is outside the radiative'
             print*,'transfer kmatrix bounds, exiting.'
-	    print*,'level,grid,T',k,ig,tlevrad(k)
-            !print*,'WARNING, OVERRIDING FOR TEST'
-            call abort
-	    !tlevrad(k)=tgasmax
+            print*,"k=",k," tlevrad(k)=",tlevrad(k)
+            print*,"tgasmax=",tgasmax
+            if (strictboundcorrk) then
+              call abort
+            else
+              print*,'***********************************************'
+              print*,'we allow model to continue with tlevrad=tgasmax'  
+              print*,'  ... we assume we know what you are doing ... '
+              print*,'  ... but do not let this happen too often ... '
+              print*,'***********************************************'
+              tlevrad(k)=tgasmax
+            endif
          endif
       enddo
@@ -665,16 +680,31 @@
             print*,'Minimum temperature is outside the radiative'
             print*,'transfer kmatrix bounds, exiting.'
-            print*,"k=",k," tlevrad(k)=",tlevrad(k)
+            print*,"k=",k," tmid(k)=",tmid(k)
             print*,"tgasmin=",tgasmin
-            !print*,'WARNING, OVERRIDING FOR TEST'
-            call abort
-	    !tmid(k)=tgasmin
+            if (strictboundcorrk) then
+              call abort
+            else
+              print*,'***********************************************'
+              print*,'we allow model to continue with tmid=tgasmin'
+              print*,'  ... we assume we know what you are doing ... '
+              print*,'  ... but do not let this happen too often ... '
+              print*,'***********************************************'
+              tmid(k)=tgasmin
+            endif
          elseif(tmid(k).gt.tgasmax)then
             print*,'Maximum temperature is outside the radiative'
             print*,'transfer kmatrix bounds, exiting.'
-	    print*,'level,grid,T',k,ig,tlevrad(k)
-            !print*,'WARNING, OVERRIDING FOR TEST'
-            call abort
-	    !tmid(k)=tgasmax
+            print*,"k=",k," tmid(k)=",tmid(k)
+            print*,"tgasmax=",tgasmax
+            if (strictboundcorrk) then
+              call abort
+            else
+              print*,'***********************************************'
+              print*,'we allow model to continue with tmid=tgasmin'
+              print*,'  ... we assume we know what you are doing ... '
+              print*,'  ... but do not let this happen too often ... '
+              print*,'***********************************************'
+              tmid(k)=tgasmax
+            endif
          endif
       enddo
Index: trunk/LMDZ.GENERIC/libf/phystd/callkeys.h
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callkeys.h	(revision 1140)
+++ trunk/LMDZ.GENERIC/libf/phystd/callkeys.h	(revision 1145)
@@ -31,4 +31,5 @@
      &   , cloudlvl                                                     &
      &   , pceil                                                        &
+     &   , strictboundcorrk                                             &
      &   , rings_shadow                                         
 
@@ -38,4 +39,5 @@
      &   , callstats,calleofdump                                        &
      &   , callgasvis,continuum,H2Ocont_simple,graybody                 &
+     &   , strictboundcorrk                                             &
      &   , rings_shadow
 
Index: trunk/LMDZ.GENERIC/libf/phystd/gfluxi.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/gfluxi.F	(revision 1140)
+++ trunk/LMDZ.GENERIC/libf/phystd/gfluxi.F	(revision 1145)
@@ -104,9 +104,9 @@
       ! -- same results for most thin atmospheres
       ! -- and stabilizes integrations
-      NT    = int(TLEV(2*L+1)*NTfac) - NTstar+1
+      !NT    = int(TLEV(2*L+1)*NTfac) - NTstar+1
       !! For deep, opaque, thick first layers (e.g. Saturn)
       !! what is below works much better, not unstable, ...
       !! ... and actually fully accurate because 1st layer temp (JL) 
-      !NT    = int(TLEV(2*L)*NTfac) - NTstar+1
+      NT    = int(TLEV(2*L)*NTfac) - NTstar+1
       !! (or this one yields same results
       !NT    = int( (TLEV(2*L)+TLEV(2*L+1))*0.5*NTfac ) - NTstar+1
Index: trunk/LMDZ.GENERIC/libf/phystd/inifis.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1140)
+++ trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1145)
@@ -199,4 +199,9 @@
          call getin("corrk",corrk)
          write(*,*) " corrk = ",corrk
+
+         write(*,*) "prohibit calculations outside corrk T grid?"
+         strictboundcorrk=.true. ! default value
+         call getin("strictboundcorrk",strictboundcorrk)
+         write(*,*) "strictboundcorrk = ",strictboundcorrk
 
          write(*,*) "call gaseous absorption in the visible bands?",