Index: /trunk/LMDZ.GENERIC/libf/phystd/aerosol_mod.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/aerosol_mod.F90	(revision 1150)
+++ /trunk/LMDZ.GENERIC/libf/phystd/aerosol_mod.F90	(revision 1151)
@@ -16,12 +16,4 @@
 ! two-layer simple aerosol model
       integer :: iaero_back2lay = 0
-      REAL :: obs_tau_col_tropo  !! observed total optical depth in the tropospheric layer (visible)
-      REAL :: obs_tau_col_strato !! observed total optical depth in the stratospheric layer (visible)
-      REAL :: pres_bottom_tropo  !! In Pa !   
-      REAL :: pres_top_tropo     !! In Pa
-      REAL :: pres_bottom_strato  !! In Pa
-      REAL :: pres_top_strato     !! In Pa
-      REAL :: size_tropo  !! particle size in the tropospheric layer
-      REAL :: size_strato !! particle size in the stratospheric layer
       
 !==================================================================
Index: /trunk/LMDZ.GENERIC/libf/phystd/callkeys.h
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/callkeys.h	(revision 1150)
+++ /trunk/LMDZ.GENERIC/libf/phystd/callkeys.h	(revision 1151)
@@ -18,4 +18,12 @@
      &   , stelbbody, stelTbb                                           &
      &   , tplanet                                                      &
+     &   , obs_tau_col_tropo                                            &
+     &   , obs_tau_col_strato                                           &
+     &   , pres_bottom_tropo                                            &
+     &   , pres_top_tropo                                               &
+     &   , pres_bottom_strato                                           &
+     &   , pres_top_strato                                              &
+     &   , size_tropo                                                   &
+     &   , size_strato                                                  &
      &   , startype, Fat1AU                                             &
      &   , nearco2cond                                                  &
@@ -81,4 +89,12 @@
       real Tstrat
       real tplanet
+      real obs_tau_col_tropo
+      real obs_tau_col_strato
+      real pres_bottom_tropo
+      real pres_top_tropo
+      real pres_bottom_strato
+      real pres_top_strato
+      real size_tropo
+      real size_strato
       real satval
       real CLFfixval
Index: /trunk/LMDZ.GENERIC/libf/phystd/iniaerosol.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/iniaerosol.F	(revision 1150)
+++ /trunk/LMDZ.GENERIC/libf/phystd/iniaerosol.F	(revision 1151)
@@ -49,14 +49,4 @@
          ia=ia+1
          iaero_back2lay=ia
-         !! define aerosols parameters (should be in a .def?)
-         !! Saturn: Roman et al. Icarus 2013 2-layer scenario (ISS observations)
-         obs_tau_col_tropo=8.D0       !! observed total optical depth in the tropospheric layer (visible)
-         obs_tau_col_strato=0.08D0    !! observed total optical depth in the stratospheric layer (visible)
-         pres_bottom_tropo= 66000.0   !! In Pa !   
-         pres_top_tropo= 18000.0      !! In Pa
-         pres_bottom_strato= 2000.0  !! In Pa
-         pres_top_strato= 100.0       !! In Pa
-         size_tropo=2.e-6     !! particle size in the tropospheric layer, in meters
-         size_strato=1.e-7    !! particle size in the stratospheric layer
       endif
       write(*,*) '--- Two-layer aerosol = ', iaero_back2lay
Index: /trunk/LMDZ.GENERIC/libf/phystd/inifis.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1150)
+++ /trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1151)
@@ -442,4 +442,6 @@
          write(*,*)" aeroh2so4 = ",aeroh2so4
 	 
+!=================================
+
 	 write(*,*)"Radiatively active two-layer aersols?"
          aeroback2lay=.false.     ! default value
@@ -447,4 +449,45 @@
          write(*,*)" aeroback2lay = ",aeroback2lay
 
+         write(*,*)"TWOLAY AEROSOL: total optical depth in the tropospheric layer (visible)"
+         obs_tau_col_tropo=8.D0
+         call getin("obs_tau_col_tropo",obs_tau_col_tropo)
+         write(*,*)" obs_tau_col_tropo = ",obs_tau_col_tropo
+
+         write(*,*)"TWOLAY AEROSOL: total optical depth in the stratospheric layer (visible)"
+         obs_tau_col_strato=0.08D0
+         call getin("obs_tau_col_strato",obs_tau_col_strato)
+         write(*,*)" obs_tau_col_strato = ",obs_tau_col_strato
+
+         write(*,*)"TWOLAY AEROSOL: pres_bottom_tropo? in pa"
+         pres_bottom_tropo=66000.0
+         call getin("pres_bottom_tropo",pres_bottom_tropo)
+         write(*,*)" pres_bottom_tropo = ",pres_bottom_tropo
+
+         write(*,*)"TWOLAY AEROSOL: pres_top_tropo? in pa"
+         pres_top_tropo=18000.0
+         call getin("pres_top_tropo",pres_top_tropo)
+         write(*,*)" pres_top_tropo = ",pres_top_tropo
+
+         write(*,*)"TWOLAY AEROSOL: pres_bottom_strato? in pa"
+         pres_bottom_strato=2000.0
+         call getin("pres_bottom_strato",pres_bottom_strato)
+         write(*,*)" pres_bottom_strato = ",pres_bottom_strato
+
+         write(*,*)"TWOLAY AEROSOL: pres_top_strato? in pa"
+         pres_top_strato=100.0
+         call getin("pres_top_strato",pres_top_strato)
+         write(*,*)" pres_top_strato = ",pres_top_strato
+
+         write(*,*)"TWOLAY AEROSOL: particle size in the tropospheric layer, in meters"
+         size_tropo=2.e-6
+         call getin("size_tropo",size_tropo)
+         write(*,*)" size_tropo = ",size_tropo
+
+         write(*,*)"TWOLAY AEROSOL: particle size in the stratospheric layer, in meters"
+         size_strato=1.e-7
+         call getin("size_strato",size_strato)
+         write(*,*)" size_strato = ",size_strato
+
+!=================================
 
          write(*,*)"Cloud pressure level (with kastprof only):"