Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/callphys.def
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/callphys.def	(revision 1184)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/callphys.def	(revision 1184)
@@ -0,0 +1,94 @@
+General options
+~~~~~~~~~~~~~~~
+tracer    (Run with or without tracer transport ?)
+F
+diurnal   (Diurnal cycle ?  if diurnal=F, diurnal averaged solar heating)
+T
+season    (Seasonal cycle ? if season=F, Ls stays constant like in "start")
+T
+lwrite    (want some more output on the screen ?) 
+F
+stats     (Saving statistics in file "cumul" ?) -- noWRF
+F
+calleofdump (Saving EOF profiles in file "profiles" for Climate Database ?) -- noWRF
+F
+Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+~~~~~~~~~~~~~
+iaervar  (=1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario 
+1        (=4 Mars Year 24 from TES assimilation)
+iddist  (Dust vertical distribution: =0: old distrib. (Pollack90) 
+3       (=1: top set by "topdustref"; =2: Viking scenario; =3 MGS scenario )
+topdustref (Dust top altitude (km). Matter only if iddist=1)
+55.
+Physical Parameterizations :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+callrad   (call radiative transfer ?)
+T
+callnlte (call NLTE radiative schemes ?   matter only if callrad=T)
+F
+callnirco2 (call CO2 NIR absorption ?   matter only if callrad=T)
+F
+calldifv  (call turbulent vertical diffusion ?)
+T
+calladj   (call convective adjustment ?)
+F
+callcond  (call CO2 condensation ?)
+F
+callsoil  (call thermal conduction in the soil ?)
+T
+calllott  (call Lott's gravity wave/subgrid topography scheme ?) -- noWRF
+F
+Radiative transfer options :
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+iradia    (the rad.transfer is computed every "iradia" physical timestep)
+1 
+callg2d   (Output of the exchange coefficient mattrix ? for diagnostic only)
+F
+rayleigh  (Rayleigh scattering : should be =F for now)
+F
+Tracer (dust water, ice and/or chemical species) options (use if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+dustbin    (DUST: Transported dust ? (if >0, uses q(1) to q(dustbin))
+0
+active     (DUST: Radiatively active dust ? (uses q(1) to q(dustbin))
+F
+doubleq    (DUST: needs dustbin=1, use mass (q(1)) and number (q(2)) mixing ratio to predict dust size ?)
+F
+lifting    (DUST: lifted by GCM surface winds ?)
+F
+dustdevil  (DUST: lifted by dust devils ?)
+F
+scavenging (DUST: Scavenging by CO2 snowfall ?)
+F
+sedimentation (DUST/WATERICE: Gravitationnal sedimentation ?)
+F
+iceparty   (WATERICE: Water cycle includes water ice mixing ratio q(nqmx-1))
+F
+activice   (WATERICE: Radiatively active transported atmospheric water ice ?)
+F
+water      (WATER: Compute water cycle using q(nqmx) )
+F
+caps       (WATER: put the current permanent caps at both poles)
+F
+photochem  (PHOTOCHEMISTRY: chemical species included)
+F
+Thermospheric options (relevant if tracer=T) :
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+callthermos  (call thermosphere ?)
+F
+thermoswater  (WATER: included without cycle	only if water=F)
+F
+callconduct  (call thermal conduction ?     matter only if callthermos=T)
+F
+calleuv  (call EUV heating ?                matter only if callthermos=T)
+F
+callmolvis  (call molecular viscosity ?     matter only if callthermos=T)
+F
+callmoldiff  (call molecular diffusion ?    matter only if callthermos=T)
+F
+thermochem  (call thermospheric photochemistry ?  matter only if callthermos=T)
+F
+solarcondate (date for solar flux calculation: 1985 < date < 2002))
+1993.4       (Solar min=1996.4 ave=1993.4 max=1990.6)
+
+
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/dustopacity.def
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/dustopacity.def	(revision 1184)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/dustopacity.def	(revision 1184)
@@ -0,0 +1,1 @@
+0.3
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_coord
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_coord	(revision 1184)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_coord	(revision 1184)
@@ -0,0 +1,101 @@
+233.0  lon
+68.0  lat
+90.0  ls
+09.  lct
+20. ztop
+100. nz
+
+
+
+0.0  lon
+85.0  lat
+0.0  ls
+00.  lct
+20. ztop
+100. nz
+
+16.
+
+353.87  lon
+-1.88   lat
+68.5    ls
+06.     lct
+20.     ztop
+100.    nz
+
+
+
+205.    lon
+21.8    lat
+47.1    ls
+10.     lct
+20.     ztop
+100.    nz
+
+
+
+236.6   lon
+-10.2   lat
+67.0    ls
+13.     lct
+20.     ztop
+100.    nz
+
+
+205.    lon
+21.8    lat
+47.1    ls
+12.     lct
+60.     ztop
+200.    nz
+
+
+60.0    lon
+-65.0   lat
+33.0    ls
+15.     lct
+60.     ztop
+100.    nz
+
+
+236.6   lon
+-10.2   lat
+67.0    ls
+08.     lct
+20.     ztop
+100.    nz
+
+74.     lon
+20.6    lat
+47.8    ls
+08.     lct
+60.     ztop
+200.    nz
+
+237.2   lon
+12.3    lat
+52.1    ls
+17.     lct
+60.     ztop
+200.    nz
+
+204.6   lon
+13.7    lat
+51.2    ls
+17.     lct
+60.     ztop
+200.    nz
+
+205.    lon
+21.8    lat
+47.1    ls
+08.     lct
+60.     ztop
+200.    nz
+
+237.2   lon
+12.3    lat
+52.1    ls
+12.     lct
+20.     ztop
+100.    nz
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_more
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_more	(revision 1184)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_more	(revision 1184)
@@ -0,0 +1,1 @@
+  -4121.25    235.39
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_sounding
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_sounding	(revision 1184)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_sounding	(revision 1184)
@@ -0,0 +1,108 @@
+      8.19      218.28        0.00
+  -4121.25      218.28        0.00        0.00        0.00
+  -4120.25      215.90        0.00       -3.69       -1.01
+  -4116.25      206.37        0.00       -4.98       -1.36
+  -4111.25      203.46        0.00       -5.43       -1.49
+  -4101.25      203.37        0.00       -6.16       -1.69
+  -4071.25      203.38        0.00       -7.15       -1.87
+  -4021.25      203.39        0.00       -7.94       -1.90
+  -3921.25      203.46        0.00       -9.10       -1.72
+  -3721.25      203.97        0.00      -11.19       -0.89
+  -3521.25      204.73        0.00      -13.09        0.11
+  -3321.25      205.74        0.00      -14.04        0.86
+  -3121.25      206.75        0.00      -14.99        1.62
+  -2921.25      207.68        0.00      -15.50        2.04
+  -2721.25      208.52        0.00      -15.48        2.06
+  -2521.25      209.36        0.00      -15.45        2.08
+  -2321.25      210.20        0.00      -15.43        2.11
+  -2121.25      211.05        0.00      -15.40        2.13
+  -1921.25      211.70        0.00      -15.25        2.12
+  -1721.25      212.22        0.00      -15.01        2.08
+  -1521.25      212.73        0.00      -14.76        2.04
+  -1321.25      213.25        0.00      -14.52        2.00
+  -1121.25      213.77        0.00      -14.28        1.96
+   -921.25      214.29        0.00      -14.04        1.92
+   -721.25      214.81        0.00      -13.80        1.88
+   -521.25      215.34        0.00      -13.58        1.85
+   -321.25      215.92        0.00      -13.47        1.89
+   -121.25      216.50        0.00      -13.36        1.94
+     78.75      217.08        0.00      -13.25        1.98
+    278.75      217.66        0.00      -13.14        2.02
+    478.75      218.24        0.00      -13.03        2.06
+    678.75      218.82        0.00      -12.92        2.11
+    878.75      219.40        0.00      -12.81        2.15
+   1078.75      219.98        0.00      -12.70        2.19
+   1278.75      220.56        0.00      -12.60        2.24
+   1478.75      221.15        0.00      -12.49        2.28
+   1678.75      221.73        0.00      -12.38        2.32
+   1878.75      222.32        0.00      -12.28        2.36
+   2078.75      223.04        0.00      -12.32        2.36
+   2278.75      223.75        0.00      -12.37        2.37
+   2478.75      224.47        0.00      -12.41        2.38
+   2678.75      225.18        0.00      -12.45        2.38
+   2878.75      225.90        0.00      -12.49        2.39
+   3078.75      226.62        0.00      -12.54        2.39
+   3278.75      227.34        0.00      -12.58        2.40
+   3478.75      228.07        0.00      -12.62        2.40
+   3678.75      228.79        0.00      -12.66        2.41
+   3878.75      229.52        0.00      -12.71        2.41
+   4078.75      230.25        0.00      -12.75        2.42
+   4278.75      230.98        0.00      -12.79        2.42
+   4478.75      231.71        0.00      -12.83        2.43
+   4678.75      232.44        0.00      -12.88        2.43
+   4878.75      233.18        0.00      -12.92        2.44
+   5078.75      233.91        0.00      -12.96        2.44
+   5278.75      234.65        0.00      -13.00        2.45
+   5478.75      235.45        0.00      -13.12        2.43
+   5678.75      236.28        0.00      -13.26        2.40
+   5878.75      237.11        0.00      -13.40        2.38
+   6078.75      237.94        0.00      -13.54        2.35
+   6278.75      238.77        0.00      -13.68        2.32
+   6478.75      239.61        0.00      -13.81        2.30
+   6678.75      240.45        0.00      -13.95        2.27
+   6878.75      241.29        0.00      -14.09        2.24
+   7078.75      242.13        0.00      -14.23        2.22
+   7278.75      242.98        0.00      -14.37        2.19
+   7478.75      243.82        0.00      -14.51        2.16
+   7678.75      244.68        0.00      -14.65        2.14
+   7878.75      245.53        0.00      -14.79        2.11
+   8078.75      246.38        0.00      -14.93        2.08
+   8278.75      247.24        0.00      -15.07        2.06
+   8478.75      248.10        0.00      -15.21        2.03
+   8678.75      248.96        0.00      -15.35        2.00
+   8878.75      249.83        0.00      -15.49        1.98
+   9078.75      250.69        0.00      -15.62        1.95
+   9278.75      251.56        0.00      -15.76        1.92
+   9478.75      252.43        0.00      -15.90        1.90
+   9678.75      253.31        0.00      -16.04        1.87
+   9878.75      254.20        0.00      -16.26        1.84
+  10078.75      255.11        0.00      -16.53        1.81
+  10278.75      256.02        0.00      -16.80        1.78
+  10478.75      256.94        0.00      -17.07        1.75
+  10678.75      257.86        0.00      -17.34        1.72
+  10878.75      258.78        0.00      -17.61        1.68
+  11078.75      259.70        0.00      -17.88        1.65
+  11278.75      260.62        0.00      -18.15        1.62
+  11478.75      261.55        0.00      -18.42        1.59
+  11678.75      262.48        0.00      -18.69        1.56
+  11878.75      263.41        0.00      -18.96        1.53
+  12078.75      264.35        0.00      -19.23        1.50
+  12278.75      265.29        0.00      -19.50        1.47
+  12478.75      266.23        0.00      -19.77        1.43
+  12678.75      267.17        0.00      -20.04        1.40
+  12878.75      268.11        0.00      -20.31        1.37
+  13078.75      269.06        0.00      -20.58        1.34
+  13278.75      270.01        0.00      -20.85        1.31
+  13478.75      270.97        0.00      -21.12        1.28
+  13678.75      271.92        0.00      -21.39        1.25
+  13878.75      272.88        0.00      -21.66        1.22
+  14078.75      273.84        0.00      -21.93        1.18
+  14278.75      274.81        0.00      -22.20        1.15
+  14478.75      275.77        0.00      -22.47        1.12
+  14678.75      276.74        0.00      -22.74        1.09
+  14878.75      277.71        0.00      -23.01        1.06
+  15078.75      278.69        0.00      -23.31        1.03
+  15278.75      279.66        0.00      -23.66        0.99
+  15478.75      280.64        0.00      -24.00        0.96
+  15678.75      281.62        0.00      -24.35        0.93
+  15878.75      282.60        0.00      -24.69        0.90
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_therm
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_therm	(revision 1184)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/input_therm	(revision 1184)
@@ -0,0 +1,107 @@
+      191.14      839.14      8.187230e+02      1.962268e-02      235.39
+      191.14      839.14      8.186497e+02      1.962093e-02      232.81
+      191.14      839.14      8.183566e+02      1.961390e-02      222.52
+      191.14      839.14      8.179904e+02      1.960760e-02      219.35
+      191.14      839.14      8.172585e+02      1.959660e-02      219.21
+      191.14      839.14      8.150653e+02      1.955333e-02      219.07
+      191.14      839.14      8.114193e+02      1.948710e-02      218.82
+      191.14      839.14      8.041653e+02      1.934815e-02      218.40
+      191.14      839.14      7.898306e+02      1.903689e-02      217.94
+      191.14      839.14      7.757439e+02      1.870710e-02      217.75
+      191.14      839.14      7.619154e+02      1.836278e-02      217.81
+      191.14      839.14      7.483335e+02      1.802459e-02      217.87
+      191.14      839.14      7.349937e+02      1.770081e-02      217.85
+      191.14      839.14      7.218920e+02      1.739271e-02      217.72
+      191.14      839.14      7.090237e+02      1.709011e-02      217.59
+      191.14      839.14      6.963849e+02      1.679290e-02      217.46
+      191.14      839.14      6.839713e+02      1.650098e-02      217.34
+      191.14      839.14      6.717127e+02      1.622870e-02      216.99
+      191.14      839.14      6.596332e+02      1.597024e-02      216.51
+      191.14      839.14      6.477710e+02      1.571642e-02      216.04
+      191.14      839.14      6.361221e+02      1.546716e-02      215.56
+      191.14      839.14      6.246826e+02      1.522239e-02      215.08
+      191.14      839.14      6.134489e+02      1.498202e-02      214.60
+      191.14      839.14      6.024171e+02      1.474598e-02      214.13
+      191.14      839.14      5.915521e+02      1.451246e-02      213.65
+      191.14      839.14      5.807031e+02      1.427334e-02      213.21
+      191.14      839.14      5.700531e+02      1.403862e-02      212.77
+      191.14      839.14      5.595984e+02      1.380820e-02      212.33
+      191.14      839.14      5.493354e+02      1.358200e-02      211.89
+      191.14      839.14      5.392608e+02      1.335995e-02      211.45
+      191.14      839.14      5.293708e+02      1.314198e-02      211.01
+      191.14      839.14      5.196622e+02      1.292800e-02      210.57
+      191.14      839.14      5.101317e+02      1.271795e-02      210.12
+      191.14      839.14      5.007760e+02      1.251175e-02      209.68
+      191.14      839.14      4.915919e+02      1.230932e-02      209.24
+      191.14      839.14      4.825761e+02      1.211062e-02      208.80
+      191.14      839.14      4.737077e+02      1.191429e-02      208.37
+      191.14      839.14      4.647972e+02      1.170716e-02      208.02
+      191.14      839.14      4.560543e+02      1.150393e-02      207.67
+      191.14      839.14      4.474759e+02      1.130452e-02      207.32
+      191.14      839.14      4.390588e+02      1.110886e-02      206.97
+      191.14      839.14      4.308001e+02      1.091688e-02      206.63
+      191.14      839.14      4.226967e+02      1.072851e-02      206.28
+      191.14      839.14      4.147457e+02      1.054369e-02      205.93
+      191.14      839.14      4.069443e+02      1.036234e-02      205.58
+      191.14      839.14      3.992897e+02      1.018440e-02      205.23
+      191.14      839.14      3.917790e+02      1.000981e-02      204.89
+      191.14      839.14      3.844096e+02      9.838507e-03      204.54
+      191.14      839.14      3.771788e+02      9.670424e-03      204.19
+      191.14      839.14      3.700840e+02      9.505502e-03      203.84
+      191.14      839.14      3.631227e+02      9.343682e-03      203.49
+      191.14      839.14      3.562924e+02      9.184906e-03      203.15
+      191.14      839.14      3.495905e+02      9.029117e-03      202.80
+      191.14      839.14      3.430146e+02      8.876259e-03      202.45
+      191.14      839.14      3.364218e+02      8.717966e-03      202.13
+      191.14      839.14      3.299084e+02      8.559917e-03      201.83
+      191.14      839.14      3.235212e+02      8.404926e-03      201.52
+      191.14      839.14      3.172577e+02      8.252937e-03      201.22
+      191.14      839.14      3.111154e+02      8.103890e-03      200.91
+      191.14      839.14      3.050920e+02      7.957730e-03      200.61
+      191.14      839.14      2.991852e+02      7.814398e-03      200.30
+      191.14      839.14      2.933928e+02      7.673842e-03      200.00
+      191.14      839.14      2.877126e+02      7.536007e-03      199.69
+      191.14      839.14      2.821423e+02      7.400841e-03      199.39
+      191.14      839.14      2.766798e+02      7.268291e-03      199.09
+      191.14      839.14      2.713232e+02      7.138308e-03      198.78
+      191.14      839.14      2.660702e+02      7.010841e-03      198.48
+      191.14      839.14      2.609189e+02      6.885842e-03      198.17
+      191.14      839.14      2.558674e+02      6.763263e-03      197.87
+      191.14      839.14      2.509136e+02      6.643058e-03      197.56
+      191.14      839.14      2.460558e+02      6.525179e-03      197.26
+      191.14      839.14      2.412920e+02      6.409583e-03      196.95
+      191.14      839.14      2.366204e+02      6.296224e-03      196.65
+      191.14      839.14      2.320393e+02      6.185061e-03      196.34
+      191.14      839.14      2.275469e+02      6.076050e-03      196.04
+      191.14      839.14      2.231415e+02      5.969149e-03      195.73
+      191.14      839.14      2.187314e+02      5.859995e-03      195.42
+      191.14      839.14      2.143450e+02      5.749932e-03      195.10
+      191.14      839.14      2.100465e+02      5.642075e-03      194.79
+      191.14      839.14      2.058342e+02      5.536382e-03      194.47
+      191.14      839.14      2.017064e+02      5.432808e-03      194.15
+      191.14      839.14      1.976614e+02      5.331311e-03      193.84
+      191.14      839.14      1.936975e+02      5.231849e-03      193.52
+      191.14      839.14      1.898131e+02      5.134382e-03      193.20
+      191.14      839.14      1.860066e+02      5.038870e-03      192.88
+      191.14      839.14      1.822764e+02      4.945273e-03      192.57
+      191.14      839.14      1.786210e+02      4.853553e-03      192.25
+      191.14      839.14      1.750390e+02      4.763673e-03      191.93
+      191.14      839.14      1.715287e+02      4.675594e-03      191.62
+      191.14      839.14      1.680889e+02      4.589282e-03      191.30
+      191.14      839.14      1.647180e+02      4.504702e-03      190.98
+      191.14      839.14      1.614148e+02      4.421817e-03      190.67
+      191.14      839.14      1.581778e+02      4.340594e-03      190.35
+      191.14      839.14      1.550057e+02      4.261001e-03      190.03
+      191.14      839.14      1.518972e+02      4.183003e-03      189.71
+      191.14      839.14      1.488511e+02      4.106570e-03      189.40
+      191.14      839.14      1.458660e+02      4.031669e-03      189.08
+      191.14      839.14      1.429408e+02      3.958271e-03      188.76
+      191.14      839.14      1.400743e+02      3.886344e-03      188.45
+      191.14      839.14      1.372652e+02      3.815860e-03      188.13
+      191.14      839.14      1.345125e+02      3.746789e-03      187.81
+      191.14      839.14      1.318150e+02      3.679104e-03      187.50
+      191.14      839.14      1.291146e+02      3.610238e-03      187.16
+      191.14      839.14      1.264022e+02      3.539765e-03      186.79
+      191.14      839.14      1.237467e+02      3.470772e-03      186.43
+      191.14      839.14      1.211470e+02      3.403229e-03      186.06
+      191.14      839.14      1.186019e+02      3.337105e-03      185.70
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/launch.ciclad
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/launch.ciclad	(revision 1184)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/launch.ciclad	(revision 1184)
@@ -0,0 +1,20 @@
+#PBS -S  /bin/bash
+#PBS -j  oe
+#PBS -q  infini
+#PBS -N  BIGLES_DD
+#PBS -l "nodes=1:ppn=16"
+#PBS -l "mem=64gb"
+
+####### prep run
+cd $PBS_O_WORKDIR
+\rm  *rsl.* 2>  /dev/null
+\rm  wrfo*  2>  /dev/null
+
+## LE LANCER EN INTERACTIF
+#\rm  wrfi*  2>  /dev/null
+#./ideal.exe
+#mv rsl.out.0000 ideal_rsl.out.0000
+
+####### run
+ulimit -s unlimited
+mpirun wrf.exe
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/namelist.input
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/namelist.input	(revision 1184)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/LES_DDphoenix/namelist.input	(revision 1184)
@@ -0,0 +1,76 @@
+ &time_control
+ run_seconds         = 37000   !! Duration of simulation                       [LES: !=0]  
+ history_interval_s  = 50      !! Frequency of outputs in seconds              [LES: !=0]
+ frames_per_outfile  = 74      !! Size of time dimension in files
+ start_year          = 9999    !! Idealized simulation                         [LES: 9999]
+ end_year            = 9999    !! Idealized simulation                         [LES: 9999]
+ restart             = .false. !! (*) Output restart files ?
+ restart_interval    = 8880    !! (*) Frequency of output restart files ?
+ io_form_history     = 2       !! (*) Choice of NETCDF for ouputs
+ io_form_restart     = 2       !! (*) Choice of NETCDF for ouputs
+ io_form_input       = 2       !! (*) Choice of NETCDF for ouputs
+ io_form_boundary    = 2       !! (*) Choice of NETCDF for ouputs
+ debug_level         = 0       !! (*) Verbose level
+ /
+
+ &domains
+ ztop                = 6000. !!12000.  !! Altitude above ground of model top           [LES: !=0]       
+ time_step           = 0       !! Dynamical timestep
+ time_step_fract_num = 1 !1  !!1  !! 3      !! Additional fraction to time_step: numerator
+ time_step_fract_den = 8 !10 !!4  !! 4      !! Additional fraction to time_step: denominator
+ dx                  = 10 !!25 !!50      !! (p2) Horizontal resolution
+ dy                  = 10 !!25 !!50      !! (p2) Horizontal resolution (should be equal to dx)
+ e_we                = 369     !! (r)(p2) Number of longitude grid points
+ e_sn                = 369     !! (r)(p2) Number of latitude grid points
+ e_vert              = 101 !!201     !! (r)(p2) Number of vertical levels
+ /
+
+ &physics
+ isfflx              = 1       !! 0 : UST/HFX from tke_... namelist values
+                               !! 1 : UST/HFX from LMD physics
+                               !! 2 : UST from LMD / HFX from namelist.input
+ init_TI             = 200.    !! Define constant thermal inertia value        [LES: !=0]
+ init_AL             = 0.2     !! Define constant albedo value                 [LES: !=0]
+ !!
+ !! OPTIONAL
+ !!
+ radt                = 320 !!160 !!40      !! Ratio between physical and dynamical time step
+ mars                = 0       !! (r)(p2) Configuration of tracers:
+                               !!         0: no tracers, 1: water vapor + ice, 2: dust
+ init_MU             = 0.01    !! (p3) Multiply ini & bdy zonal wind by init_U
+ init_MV             = 0.01    !! (p3) Multiply ini & bdy meridional wind by init_V
+ /
+
+ &dynamics
+ diff_opt            = 2       !! (*d) Diffusion option                        [LES: 2]
+ km_opt              = 2       !! (*d) Eddy coefficient option                 [LES: 2]
+ diff_6th_opt        = 0       !! (*d) Knievel numerical diffusion             [LES: 0]
+ mix_full_fields     = T       !! (*d) Set true if mixing ref + pert profiles  [LES: T]
+ !!
+ !! OPTIONAL
+ !!
+! c_k                   = 0.10     !! Mixing coefficient constant for km_opt=2 [default: 0.15]
+! c_s                   = 0.18     !! Mixing coefficient constant for km_opt=3 [default: 0.25]
+! pd_tke                = T        !! Positive definite advection of tke
+! tke_heat_flux         = 1.       !! Constant surface thermal flux (H/(rho*cp), K m/s)
+! tke_drag_coefficient  = 0.0025,  !! Constant surface drag coefficient (Cd, dimensionless)
+! mix_upper_bound       = 100.     !! Non-dimensional upper limit for diffusion coeffs
+! mix_isotropic         = 1        !! 0=anistropic vertical/horizontal diffusion coeffs, 1=isotropic
+! pert_coriolis         = T        !! Coriolis only acts on wind perturbation (idealized)
+ /
+
+ &bdy_control
+ periodic_x          = T       !! (p3) Periodic boundary conditions over x     [LES: T]
+ periodic_y          = T       !! (p3) Periodic boundary conditions over y     [LES: T]
+ /
+
+ &grib2
+ /
+
+ &fdda
+ /
+
+ &namelist_quilt              !! (*)
+ nio_tasks_per_group = 0,     !! (*)
+ nio_groups = 1,              !! (*)
+ /                            !! (*)